#include <stdio.h>
#include <stdlib.h>

void bubbleSort(int niz[], int n)
{
    for(int i = 0; i < n-1; i++)
        for (int j = i + 1; j < n; j++)
            if (niz[i] > niz[j])
            {
                int temp = niz[i];
                niz[i] = niz[j];
                niz[j] = temp;
            }
}

void insertionSort(int niz[], int n)
{
    for(int i = 1; i < n; i++)
    {
        int trenutni = niz[i];
        int j = i - 1;

        while (j >= 0 && niz[j] > trenutni)
        {
            niz[j + 1] = niz[j];
            j--;
        }
        niz[j + 1] = trenutni;
    }
}

void selectionSort(int niz[], int n)
{
    for(int i = 0; i < n-1; i++)
    {
        int min_index = i;
        for (int j = i + 1; j < n; j++)
            if (niz[j] < niz[min_index])
                min_index = j;

        int temp = niz[min_index];
        niz[min_index] = niz[i];
        niz[i] = temp;
    }
}

void stampaNiza(int niz[], int n)
{
    for(int i = 0; i < n; i++)
    {
        printf("%d ", niz[i]);
    }
}

int main()
{
    int niz[10] = { 12, 5, 1, 10, 19, 20, 6, 8, 11, 7};
    selectionSort(niz, 10);
    stampaNiza(niz, 10);

    return 0;
}
